Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextEdit_ExtraSelection

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QTextEdit_ExtraSelection

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QTextEdit_ExtraSelection

extends QtJambiObject
implements java.lang.Cloneable

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QTextEdit_ExtraSelection()` Creates a new QTextEdit_ExtraSelection.

Method Summary
`QTextEdit_ExtraSelection` | `clone()` This method is reimplemented for internal reasons
`QTextCursor` | `cursor()` Returns the cursor of this QTextEdit_ExtraSelection.
`QTextCharFormat` | `format()` Returns the format of this QTextEdit_ExtraSelection.
`static QTextEdit_ExtraSelection` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextEdit_ExtraSelection instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QTextEdit_ExtraSelection[] array)` This function returns a QNativePointer that is pointing to the specified QTextEdit_ExtraSelection array.
`void` | `setCursor(QTextCursor cursor)` Sets this QTextEdit_ExtraSelection's `cursor`.
`void` | `setFormat(QTextCharFormat format)` Sets the `format` of this QTextEdit_ExtraSelection.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextEdit_ExtraSelection

    public QTextEdit_ExtraSelection()

  Creates a new QTextEdit_ExtraSelection.

Method Detail

### setCursor

    public final void setCursor(QTextCursor cursor)

  Sets this QTextEdit_ExtraSelection's `cursor`.

### cursor

    public final QTextCursor cursor()

  Returns the cursor of this QTextEdit_ExtraSelection.

### setFormat

    public final void setFormat(QTextCharFormat format)

  Sets the `format` of this QTextEdit_ExtraSelection.

### format

    public final QTextCharFormat format()

  Returns the format of this QTextEdit_ExtraSelection.

### fromNativePointer

    public static QTextEdit_ExtraSelection fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextEdit_ExtraSelection instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QTextEdit_ExtraSelection[] array)

  This function returns a QNativePointer that is pointing to the specified QTextEdit_ExtraSelection array.

### clone

    public QTextEdit_ExtraSelection clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD